#include <bits/stdc++.h>
using namespace std;
typedef long long  ll;
ll minif(ll a,ll b){
 if(a<b) return a;
 else return b;
}
int main()
{
    ios::sync_with_stdio(false);
    ll n,x;
    ll rez;
    cin >> n >> x;
    ll maks,mini,pom;
    cin >> pom;
    maks=pom;
    mini=pom;
    for(int i=1;i<n;i++){
            cin >> pom;
            if(pom<mini) mini=pom;
            if(pom>maks) maks=pom;
    }
    if(x<mini)//sve komsije su sa desne strane
        rez=maks-x;
    else if(x>maks)//sve komsije sa leve strane
        rez=x-mini;
    else{
        ll p1=(x-mini)*2+(maks-x);//prvo levo pa se vraca
        ll p2=(maks-x)*2+(x-mini);//prvo desno oa se vraca
        rez=minif(p1,p2);
    }
    cout << rez << '\n';
    return 0;
}